{% extends 'core.html' %} 
{% block title %}Publicación{% endblock %} 
{% load crispy_forms_tags %}
{% block staticload %}
{% load static %} 
{% endblock %} 

{% block content %}
<!-- Title -->
<div class="container mt-5 text-center">
  <h1 class="display-3">
    <span style="font-size: 1em; color: #ffc107;">
      <i class="fas fa-file-alt" aria-hidden="true"></i>
    </span>
    Publicación
  </h1>
</div>
<!-- Title -->
<!-- Comment -->
<div class="container mt-5 mb-5">
  <div class="card p-4">
    <div class="card-body">
    <div class="row">
        <div class="col-12 col-sm-12 col-md-3 col-lg-3 col-xl-3">
          {% if publication.photo %}
          <a href="{{publication.get_absolute_url}}"><img class="img-thumbnail" src="{{publication.photo.url}}"></a>
          {% else %}
          {% comment %} TODO Image replacement {% endcomment %}
          {% endif %}
        </div>
        <div class="col-12 col-sm-12 col-md-9 col-lg-9 col-xl-9 align-left">
          <div class="row">
            <div class="col-12">
              <h4 class="display-4"><a class="text-dark" href="{{publication.get_absolute_url}}">{{ publication.product_name }}</a></h4>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <h6 class="display-6"><em>{{ publication.slug }}</em></h6>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <p><small><strong>Publicado en: </strong>{{publication.publication_date}}</small></p>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <p class="text-warning lead"><strong>$ </strong>{{publication.price}}</p>
            </div>
          </div>
          <div class="row">
            <div class="col-3 col-sm-3 col-md-3 col-lg-2 col-xl-2">
              {% if publication.state == 'D' %}
              <p><span class="badge badge-success">{{publication.get_state_display}}</span></p>
              {% else %}
              <p><span class="badge badge-danger">{{publication.get_state_display}}</span></p>
              {% endif %}
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <p>{{publication.product_description}}</p>
            </div>
          </div>
        </div>
      </div>
      <hr class="mt-4 mb-4"/>
      <h5 class="display-5">Contacto del Vendedor</h5>
      <div class="row">
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="display-5"><a class="text-dark" href="{{seller.get_absolute_url}}"><strong>Username: </strong>{{seller.username}}</a></p>
        </div>
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="display-5"><a class="text-dark" href="{{seller.get_absolute_url}}"><strong>Nombre: </strong>{{seller.first_name}}  {{seller.last_name}}</a></p>
        </div>
      </div>
      <div class="row">
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="display-5"><strong>Email: </strong>{{seller.email}}</p>
        </div>
        <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <p class="display-5"><strong>Teléfono: </strong>{{seller.mobile_phone}}</p>
        </div>
      </div>
    </div>
  </div>
    <!-- Action Buttons -->
    <div class="card-footer">
      <div class="row">
        <div class="col-6 text-right">
          <a class="btn btn-dark" href="{% url 'publication-reports-dismiss' pk=report.id %}">Ignorar</a>
        </div>
        <div class="col-6 text-left">
          <a class="btn btn-danger" href="{% url 'publication-delete' publication_pk=publication.id report_pk=report.id%}">Eliminar</a>
        </div>        
      </div>
    </div>
    <!-- Action Buttons -->
  </div>
</div>
<!-- Comment -->
{% endblock %}

{% block scriptfiles %}
{% endblock %}